fbsetroot(1)

NAME
fbsetroot - a simple background utility used by the Fluxbox window manager, originally written for and by the original Blackbox window manager team.

SYNOPSIS
fbsetroot -help
fbsetroot [ -display display ] -solid color
fbsetroot [ -display display ] -mod x y -fg color -bg color
fbsetroot [ -display display ] -gradient texture -from color -to color

DESCRIPTION
fbsetroot is a utility that can control the appearance of the root window in three ways: Either give it a solid color, or write a two color modula pattern to it, or render a gradient texture, based on two different colors.

fbsetroot resembles xsetroot(1) in this functionality but it supports multiple screen displays, and gradient textures the same way as Blackbox or Fluxbox does. It doesn't handle cursors etc. fbsetroot was originally part of the Blackbox package and was carried over with the code that became Fluxbox. It was called bsetroot back in those days.

OPTIONS
fbsetroot operates in three ways, you must choose one of the first 3 options:

-solid color
    Sets the root window to specified color.

-mod x y
    Creates a modula pattern. You must specify -bg and -fg colors.

-gradient texturestring
    Renders the specified texture string to the root window.

    texturestring may be one of:

    Horizontal / Vertical / Diagonal / Crossdiagonal / Pipecross / Elliptic / Rectangle / Pyramid

    Select one of these texture types, they only apply when -gradient is specifed. You must also specify both a -from and a -to color.

-display display
    Tells fbsetroot to connect to the specified display.

-bg, -background color
    Background color. Needed for -mod patterns.

-fg, -foreground color
    Foreground color. Needed for -mod patterns.

-from color
    Start color for rendering textures. Needed for -gradient operation mode.

-to color
    Ending color for rendering textures. Needed for -gradient operation mode.

-help
    Prints version info and short help text.

AUTHOR
fbsetroot is written and maintained by the Fluxbox Development Team

This manpage was modified by Curt "Asenchi" Micol <asenchi@asenchi.com> for the Fluxbox window manager.

SEE ALSO
fluxbox(1) fbsetbg(1)